/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozCC
 *
 * The Initial Developer of the Original Code is
 * Nathan R. Yergler.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): 	
 * Nathan R. Yergler <nathan@yergler.net>
 *
 * ***** END LICENSE BLOCK ***** 
 *
 * $Id: install.js,v 1.4 2004/01/22 15:07:01 nathan Exp $
 *
 */

const APP_DISPLAY_NAME = "MozCC";
const APP_NAME = "mozcc";
const APP_PACKAGE = "/Nathan Yergler/mozcc";
const APP_VERSION = "0.7.5";

const APP_JAR_FILE = "mozcc.jar";
const APP_CONTENT_FOLDER = "content/mozcc/";
const APP_SKIN_FOLDER  = "skin/mozcc/";

const APP_SUCCESS_MESSAGE = "";

const INSTALL_PROMPT = "mozCC can be installed globally (for all users)\n" +
      "or only for the current profile.\n" +
      "Press OK to install globally.\n" +  
      "Press Cancel to install only for the current profile.";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;
var contenttype;
var skintype;

if(confirm(INSTALL_PROMPT)) {
	chromef = getFolder("Chrome");
	contenttype = CONTENT | DELAYED_CHROME;
	skintype = SKIN  | DELAYED_CHROME;

	// *** only if we were doing preferences *** 
	var prefFolder = getFolder('Preferences');
	addFile("Nathan Yergler", "mozccprefs.js", prefFolder, ''); 
}
else {
	chromef = getFolder("Profile", "chrome");
	contenttype = CONTENT | PROFILE_CHROME;
	skintype = SKIN  | PROFILE_CHROME;

	// *** only if we were doing preferences ***
	var prefFolder = getFolder('Preferences')

	// Can this go in the profile too?  Tried it, not working.
	addFile("Nathan Yergler", "mozccprefs.js", prefFolder, '');
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
		
if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	registerChrome(skintype, jar, APP_SKIN_FOLDER);
	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + 
                      " has been succesfully installed.\n"
		      +APP_SUCCESS_MESSAGE);
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't permission to write to "
                +"the chrome directory (" + chromef + ").\n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
